Subject: AdminRest: IASA BCP: Executive Director

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Fri, 26 Nov 2004 16:27:07 +0100

In draft-ietf-iasa-bcp-00.txt it states at the end of sect 3.1:

   Unless explicitly delegated with the consent of the IAOC, the IAD
   will also fill the role of the IETF Executive Director, as described
   in various IETF process BCPs.

We currently have (in our working version of the IASA BCP):

      Editors' note: The preceding paragraph has generated some
      comments, given that the role of the IETF Executive director is
      mentioned in a number of documents, some of which are fairly old
      and dusty.  The editors actively solicit feedback on whether this
      paragraph is ok as it stands.

We had some discussion in the IESG about this (because the IETF
Executive Director also interacts with the IESG basically on a 
daily basis). I believe that in the IESG our current thinking is that
better text would be:

   The IETF Administrative Director (IAD) is not the same function
   as the IETF Executive Director.  The IESG shall select an IETF
   Executive Director (as defined in xxx, we need to fill out xxx). 

Does the IETF community can agree with that?

Bert

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 26 Nov 2004 12:20:00 -0500

There is an obvious question that at least for me drives the answer to 
whther the IAD is the IETF Executive Director.

As currently practiced / defined, is the IETF Executive Director a full 
time job?

If it is a full time job, then clearly it should not be combined with the 
IAD.  THis implies that we will need budgeting to contract / hire this 
person in addition to the IAD.

On the other hand, if this is not a full time job, it seems to make more 
sense to combine it with the IAD because there is a very large overlap in 
required knowledge.  For example, If the IESG decides in their meeting to 
ask that the infrastructure group do something, the Exectuive director will 
know that immediately, and have the context of the discussion.  If the IAD 
is a separate person, he will need a clear description of what needs to be 
done, and need to make sure the work is tracked properly in managing the 
contract with the infastructure provider.

Yours,
Joel M. Halpern

---

From: [email-masked] (scott bradner)
Date: Fri, 26 Nov 2004 13:43:16 -0500 (EST)

> Does the IETF community can agree with that?

I agree that the IAD and the IETF ED are different functions and agree with
the new paragraph

Scott

---

From: Carl Malamud <[email-masked]>
Date: Fri, 26 Nov 2004 10:36:55 -0800 (PST)

> As currently practiced / defined, is the IETF Executive Director a full 

Scott Bradner could probably answer more definitively, but I believe 
our process documents and other RFCs refer to a role, not a job.  Basically,
there are a few times in which you need to "contact the IETF" and
the words "IETF Executive Director" means "the full time staff shall ..."
and "go find the person who has that title."  (Barbara Fuller, as the
lead person on the Foretec IETF Secretariat is our current Executive Director.)

It seems to me that one of the goals of the whole AdminRest exercise
has been to move overall management responsibility for IETF admin. and
support activities (IASA) from contractors to a "program manager",
which is what this BCP is all about.  As such, it seems that where 
documents refer to "IETF Executive Director" that should become
(via a paragraph in this BCP) a pointer to the IAD or other appropriate
position as further pointed to by the IAD.

> person in addition to the IAD.

So far, the contracting philosophy has been "one and only one" person
as a full-timer.  Everything else is a contract.  If we're going to
go 1++ (or designate a contractor as a named position), that probably
needs to be worked out.  My personal feeling: don't tie the hands
of your iaoc/iad until they can start looking at contracts and how
they might/should be let.

> >    in various IETF process BCPs.

My own opinion (ymmv) is leave the text as is and strike the editorial
note.

Regards,

Carl

---

From: [email-masked] (scott bradner)
Date: Fri, 26 Nov 2004 14:07:52 -0500 (EST)

> our process documents and other RFCs refer to a role, not a job. 

agree

> My own opinion (ymmv) is leave the text as is and strike the editorial

disagree - I'd just strike the text as well - as you said - why tie hands

Scott

---

From: Sam Hartman <[email-masked]>
Date: Fri, 26 Nov 2004 16:40:15 -0500

>>>>> "Carl" == Carl Malamud <[email-masked]> writes:

    Carl> It seems to me that one of the goals of the whole AdminRest
    Carl> exercise has been to move overall management responsibility
    Carl> for IETF admin. and support activities (IASA) from
    Carl> contractors to a "program manager", which is what this BCP
    Carl> is all about.  As such, it seems that where documents refer
    Carl> to "IETF Executive Director" that should become (via a
    Carl> paragraph in this BCP) a pointer to the IAD or other
    Carl> appropriate position as further pointed to by the IAD.

I think the IESG's concern here is that they, rather than the IAOC
would like to designate who the executive director is.

The executive director is very involved in making the IESG and process
functions run smoothly.  

It seems like significant friction would be created if the executive
director was not someone the IESG was comfortable with.

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 26 Nov 2004 17:21:40 -0500

This is a quite understandable goal.  But I am not sure that as stated it 
can be met.
Let us assume that some of the activities that the IAD is responsible for 
contracting includes the Executive Director function.  (I have difficulty 
seeing it as a separate contract on its own.)
It is the IAD's job to award that contract.
One would hope that the IESG had review over the person who they had to 
work with that closely.  But such review is VERY different from getting to 
choose the person.

Just my reading of the documents,
Joel M. Halpern

---

From: Carl Malamud <[email-masked]>
Date: Fri, 26 Nov 2004 14:30:24 -0800 (PST)

That seems simple enough when put that way ... then leave the executive director
totally out of this BCP or specify that the IESG names that person.  No need to
pussy-foot around the issue.  :)

Carl

---

From: John C Klensin <[email-masked]>
Date: Fri, 26 Nov 2004 18:01:09 -0500

--On Friday, November 26, 2004 10:36 AM -0800 Carl Malamud 
<[email-masked]> wrote:

>> There is an obvious question that at least for me drives the
>> answer to  whther the IAD is the IETF Executive Director.
>>
>> As currently practiced / defined, is the IETF Executive
>> Director a full  time job?
>
> Scott Bradner could probably answer more definitively, but I
> believe  our process documents and other RFCs refer to a role,
> not a job.  Basically, there are a few times in which you need
> to "contact the IETF" and the words "IETF Executive Director"
> means "the full time staff shall ..." and "go find the person
> who has that title."  (Barbara Fuller, as the lead person on
> the Foretec IETF Secretariat is our current Executive
> Director.)

Carl,

I think this is correct, but may miss the point.  The ExecDir 
role encompasses at least four types of activities:

    (i) The designated "go to" person/address for various
    specified standards-related activities and functions.

    (ii) Since the separate position of "IESG Secretary" was
    eliminated some years ago, the focus for staff support for
    the IESG

    (iii) The manager of the standards-secretariat function.

    (iv) The manager of other secretariat functions, especially
    meeting planning and support.

In the aggregate, it is definitely a full-time job.  If we are 
looking for a high-quality service, it might be more than that, 
e.g., during the period in which we had an "IESG Secretary", we 
had roughly two full-time people assigned to those roles, in 
spite of a lower overall workload.

The difficulty here is that, if we are looking for optimal 
efficiency, the first of the roles above requires a good deal of 
IETF-specific, and standards-process-specific, knowledge.  The 
fourth may require almost none, and the others fall somewhere in 
between.  If the sum of the four represents more than one full 
time person --and I think it does-- decisions about how the 
roles get distributed between the person who holds the IAD 
function and the person who holds whatever functions are left 
over (which might or might not include the ExecDir one(s)) are 
profoundly important in driving job descriptions and the 
recruiting process.

> It seems to me that one of the goals of the whole AdminRest
> exercise has been to move overall management responsibility
> for IETF admin. and support activities (IASA) from contractors
> to a "program manager", which is what this BCP is all about.

Let me try to state this a different way, since this is an area 
that we keep circling around with little to show for it besides 
misunderstandings.   As far as I can tell (and reconstruct), 
there was an assumption going into your report, and the process 
that drove it, that there was going to be exactly one full time 
employee of the IETF Administrative (whatever) and that 
everything else was to be contracted out.  That conclusion, 
again IIR, postdates the committee discussions that led to RFC 
3716, was reached in advance of careful evaluation of various 
roles, and has not been critically evaluated since then.  To 
describe the IAD as a "program manager" is, I believe, 
completely accurate wrt various things have been defined and are 
trending, but it is not at all clear to me that "program 
manager" and "IETF Executive Director" represent the same skill 
set.

Now, while one could undoubtedly find experts, as well as 
amateurs, to dispute the point, it is commonly generally 
believed that one does not want organizationally-critical roles 
in the hands of contractors and that employee-type relationships 
are far safer for that purpose.  If nothing else, employee-type 
relationships permit offering benefits and other arrangements 
that reinforce organizational commitments and loyalty.  When 
those arrangements are made for contractors, at least in the US, 
they typically shift the contractor into "statutory employee" 
status, which is normally the worst of both worlds.  Of course, 
there may be exceptions for specific individuals and 
circumstances, but it is probably unwise to design for those 
exceptions.  If the analysis above leaves us needing all or part 
of two distinct people, then one needs to ask whether:

(i) The Exec Dir is the organizationally-critical role and the 
program manager should be a contractor.

(ii) The Program Manager is the organizationally-critical role 
and the Exec Dir can reasonably be a contractor.

(iii) Both are organizationally-critical and the "one employee" 
assumption needs to be carefully reviewed and, if necessary, 
discarded.

> As such, it seems that where  documents refer to "IETF
> Executive Director" that should become (via a paragraph in
> this BCP) a pointer to the IAD or other appropriate position
> as further pointed to by the IAD.

As I said, this seems to miss the point.  If we assume, a 
priori, that the Exec Dir should be the IAD, then we assume that 
the IAD has the necessary skills and time to do the job, 
something that is obviously not incorporated into the various 
provisions of the drafts yet.   If, on the other hand, it is a 
position pointed to by the IAD, then we assume, given the "one 
employee" assumption, that the Exec Dir is a contractor and that 
the community feels comfortable with that key role in contractor 
hands.   It seems to me that this question doesn't yield well to 
handwaving, and that we may need to reexamine (or, perhaps, 
seriously examine for the first time) the "one employee" 
assumption.

>> If it is a full time job, then clearly it should not be
>> combined with the  IAD.  THis implies that we will need
>> budgeting to contract / hire this  person in addition to the
>> IAD.
>
> So far, the contracting philosophy has been "one and only one"
> person as a full-timer.  Everything else is a contract.  If
> we're going to go 1++ (or designate a contractor as a named
> position), that probably needs to be worked out.  My personal
> feeling: don't tie the hands of your iaoc/iad until they can
> start looking at contracts and how they might/should be let.

Without tying anyone's hands, it seems to me that the decision 
as to whether it is appropriate to delegate the critical Exec 
Dir role to a contractor is one that should be discussed, 
reviewed, and approved by the community, not delegated to an 
IAOC/IAD who are operating under a "one employee" rule as a base 
assumption.

>> >    Unless explicitly delegated with the consent of the
>> >    IAOC, the IAD will also fill the role of the IETF
>> >    Executive Director, as described in various IETF process
>> >    BCPs.
>
> My own opinion (ymmv) is leave the text as is and strike the
> editorial note.

I have to agree with Scott -- probably both should be stricken. 
But, more generally, it is probably time to review actual roles 
and the "one and only one" decision before it constrains our 
thinking, and that of the transition team and IAOC, in ways that 
may be inappropriate.

    john

---

From: John C Klensin <[email-masked]>
Date: Sun, 28 Nov 2004 12:21:21 -0500

--On Friday, 26 November, 2004 16:40 -0500 Sam Hartman
<[email-masked]> wrote:

> I think the IESG's concern here is that they, rather than the
> IAOC would like to designate who the executive director is.
> 
> The executive director is very involved in making the IESG and
> process functions run smoothly.  
> 
> It seems like significant friction would be created if the
> executive director was not someone the IESG was comfortable
> with.

Sam,

While I understand and sympathize with the concern you raise,
the whole model so far --as developed much more by the IESG and
IAB than by the community, so it presumably meets their needs --
is that we constitute an IASA and IAOC, and then let them run
the details.   If the IESG asserts the right to start appointing
(and presumably firing) particular individuals, especially
individuals who, under the current model, are contractors, we
are down the slippery slope toward a level of IESG management of
the administrative process that calls for a completely different
model.

It seems to me that it might be reasonable to expect the IAD to
seek the advice, and maybe the consent, of the IESG on an Exec
Dir appointment.  But going much further than that requires a
rather different model.

   john

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 29 Nov 2004 14:34:58 +0100

Trying to wrap the ExDir discussion:

The IETF process documents have been written with the assumption in a few 
places that there exists an IETF Executive Director, and that IETF process 
documents can assign tasks to that person.
The things that the process documents mention explicitly are far less than 
a full time job; the job that the current Executive Director (Barbara) is 
doing is clearly more than a full time job.

In the new model, there is no neat box marked "IETF Executive Director". 
Part of what Barbara's doing goes to the IAD (primary interface with 
IESG/IAB to figure out what requirements are), part go with the contractor 
that does the "clerk" contract (managing the support staff), and part seems 
to have no natural home.

I think that we should stick the BCP at the abstraction level (who makes 
the decision), and not at the assignment level (who does the job). But I 
think that the IESG is not the best body to assign those tasks (its role is 
intended to be mostly technical, not administrative), and I think it's not 
certain they all go to one place. So I would say:

   The IAOC, in consultation with the IAB and the IESG,
   will designate the person(s) to carry out the tasks that
   other IETF process documents say are carried out by the
   IETF Executive Director.

Does that make sense to people?

                Harald

--On 26. november 2004 13:43 -0500 scott bradner <[email-masked]> wrote:

> I agree that the IAD and the IETF ED are different functions and agree
> with the new paragraph
>
> Scott
>